Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.esupportail.portal.channels.CIntranet.config
Class Config

    java.lang.Object
      org.esupportail.portal.utils.channels.ConfigChannel
          org.esupportail.portal.channels.CIntranet.config.Config

All Implemented Interfaces:
  java.lang.Cloneable, org.esupportail.portal.utils.channels.IConfigActions, org.esupportail.portal.utils.channels.IConfigMail, org.esupportail.portal.utils.database.IConfigPools

public class Config
extends org.esupportail.portal.utils.channels.ConfigChannel

Config
Classe permettant la lecture du fichier de configuration
(c)Copyright ESup-Portail 2004

Version:
  $Revision: 1.1.2.2 $
Author:
  Mathieu Larchet

Method Summary
`void` | `addRessource(Ressource res)` Ajout d'une ressource physique de stockage
`java.lang.String` | `getChannelFunctionnalName()`
`java.lang.String` | `getDirectories()` Retourne la liste des annuaires à utiliser
`java.lang.String` | `getFROM()`
`static Config` | `getInstance()` Retourne l'instance de la classe Config
`java.util.Map` | `getRessources()` Retourne la liste des ressources de stockage
`int` | `getSizeUpload()` Retourne la taille maximale uploadable
`java.lang.String` | `getSMTP()`
`void` | `setDirectories(java.lang.String liste)` Positionne la liste des annuaires à utiliser
`void` | `setMailParameters(java.lang.String smtp, java.lang.String from, java.lang.String channel)`
`void` | `setSizeUpload(java.lang.String size)` Positionne la taille maximale uploadable

Methods inherited from class org.esupportail.portal.utils.channels.ConfigChannel
`addAction, addActions, addDisplayError, addGroup, addMailError, addPool, clone, getActions, getConnexion, getConnexionDefault, getDisplayError, getFrom, getGroupmapping, getLog, getLogLevel, getMessage, getPools, getSmtp, getSubject, getTo, getXmlEncoding, setActions, setDisplayError, setGroupmapping, setLog, setPools`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getInstance

    public static Config getInstance()

  Retourne l'instance de la classe Config

  Returns:
    singleton L'instance unique

### addRessource

    public void addRessource(Ressource res)

  Ajout d'une ressource physique de stockage

  Parameters:
    `res` -

### getRessources

    public java.util.Map getRessources()

  Retourne la liste des ressources de stockage

  Returns:
    storageControlers La liste des ressources

### setSizeUpload

    public void setSizeUpload(java.lang.String size)

  Positionne la taille maximale uploadable

  Parameters:
    `size` - La taille en octets

### getSizeUpload

    public int getSizeUpload()

  Retourne la taille maximale uploadable

  Returns:
    sizeUpload La taille en octets

### getDirectories

    public java.lang.String getDirectories()

  Retourne la liste des annuaires à utiliser

  Returns:
    directories La liste

### setDirectories

    public void setDirectories(java.lang.String liste)

  Positionne la liste des annuaires à utiliser

  Parameters:
    `liste` - La liste

### setMailParameters

    public void setMailParameters(java.lang.String smtp,
                                  java.lang.String from,
                                  java.lang.String channel)

### getSMTP

    public java.lang.String getSMTP()

### getFROM

    public java.lang.String getFROM()

### getChannelFunctionnalName

    public java.lang.String getChannelFunctionnalName()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD